clc
tspan = [0 4000]; % Range for the independent variable
y0 = [286;0]; % Initial values for the dependent variables T and X
[t y]=ode45(@ODEfun,tspan,y0);
z=size(t);
UA =10;
DeltaH = -20202; 
Ta1 = 290; 
Cpc = 4.18; 
mc =10;
Nao = 54.8 ;
for i=1:z(1,1)
   k(i) = .000273*exp(9059*(1/297-1/y(i,1)));
   Qr(i) = mc*Cpc*(y(i,1)-Ta1)*(1-exp(-UA/mc/Cpc));
   Qg(i) =Nao* k(i)*(1-y(i,2))*(-DeltaH); 
end
plot(t,Qr,t,Qg);
legend('Qr ','Qg')
ylabel('Q (J/s)');
xlabel('t(s)');
axis([0 4000 0 2700])
title('Heat generated as heat removed trajectory')


