function dYfuncvecdV = ODEfun(V,Yfuncvec); 
T = Yfuncvec(1);
X = Yfuncvec(2);
% Explicit equations
UA =10;
DeltaH = -20202; 
Ta1 = 290; 
Cpc = 4.18; 
Cps = 252.5;
mc =10;
k = .000273*exp(9059*(1/297-1/T)); 
Ta2 = T-(T-Ta1)*exp(-UA/mc/Cpc);
Qr = mc*Cpc*(T-Ta1)*(1-exp(-UA/mc/Cpc)); 
Nao = 54.8 ;
Qg =Nao* k*(1-X)*(-DeltaH); 
DeltaQ = Qr-Qg;
% Differential equations
dTdt = (Qg-Qr)/Cps/Nao;
dXdt = k*(1-X); 
dYfuncvecdV = [dTdt;dXdt]; 