clc
tspan = [0 4000]; % Range for the independent variable
y0 = [286;0]; % Initial values for the dependent variables T and X
[t y]=ode45(@ODEfun,tspan,y0);
z=size(t);
UA =10;
Ta1 = 290; 
Cpc = 4.18; 
mc =10;
for i=1:z(1,1)
    Ta2(i) = y(i,1)-(y(i,1)-Ta1)*exp(-UA/mc/Cpc);
end
plot(t,y(:,1),t,Ta2);
legend('T(K)','Ta2(K)')
ylabel('T(K)');
xlabel('t(s)');
axis([0 4000 280 360]);
title('Temperature-time trajectory')



